CREATE TABLE BT_BLOG_ENTRY_ACCESS(BLOG_SYS_ID INTEGER NOT NULL, ENTRY_ID BIGINT NOT NULL, ACCESS_DATE CHAR(8) NOT NULL,ACCESS_COUNT INTEGER);
alter table bt_blog_entry_access add primary key (blog_sys_id,entry_id,access_date);
alter table bt_blog_entry_access add constraint bt_blog_entry_access_fkey_0 foreign key (blog_sys_id) references bm_blog(blog_sys_id);
alter table bt_blog_entry_access add constraint bt_blog_entry_access_fkey_1 foreign key (entry_id) references bt_entry(entry_id);
comment on table bt_blog_entry_access is 'ブログ投稿別アクセス数';
comment on column bt_blog_entry_access.blog_sys_id is 'ブログシステムid';
comment on column bt_blog_entry_access.entry_id is '投稿id';
comment on column bt_blog_entry_access.access_date is 'アクセス年月日';
comment on column bt_blog_entry_access.access_count is 'アクセス数';
alter table bt_access add column ENTRY_ID BIGINT;
comment on column bt_access.entry_id is '投稿id';
alter table bt_access add constraint bt_access_fkey_2 foreign key (entry_id) references bt_entry(entry_id);
alter table bm_setting add column UPLOAD_IMG_MAX_WIDTH SMALLINT;
alter table bm_setting add column AUTO_SAVE CHAR(1) DEFAULT '0';
alter table bm_setting add column AUTO_SAVE_TIME INTEGER;
alter table bm_setting add column PASSWORD_REQUIRED CHAR(1) DEFAULT '1';
alter table bm_setting add column PASSWORD_LENGTH_MIN SMALLINT;
alter table bm_setting add column PASSWORD_INVALID_CHAR VARCHAR(255);
comment on column bm_setting.upload_img_max_width is 'アップロード画像ファイルの最大幅';
comment on column bm_setting.auto_save is '自動保存設定';
comment on column bm_setting.auto_save_time is '自動保存間隔';
comment on column bm_setting.password_required is 'パスワードの入力規則：必須';
comment on column bm_setting.password_length_min is 'パスワードの入力規則：文字数';
comment on column bm_setting.password_invalid_char is 'パスワードの入力規則：禁止文字';
update bm_setting set allow_extension = 'txt,htm,html,doc,docx,dot,pdf,xlt,xls,xlsx,ppt,pptx,vsd,vss,vst,vsw,jaw,jbw,jfw,gif,jpg,jpeg,png,bmp,zip,lzh,pps,ps,ai,eps,pjpeg,jpe,rtf,csv' where setting_id = '90000000';
alter table bm_allow_mod_user_setting add column WORD CHAR(1) DEFAULT '1';
comment on column bm_allow_mod_user_setting.word is 'ユーザーパスワード';
alter table BM_BLOG add column AUTO_SAVE CHAR(1) DEFAULT '0';
alter table BM_BLOG add column AUTO_SAVE_TIME INTEGER;
alter table BM_BLOG add column COMMENT_CAPTCHA CHAR(1) DEFAULT '0';
comment on column bm_blog.auto_save is '自動保存設定';
comment on column bm_blog.auto_save_time is '自動保存間隔';
comment on column bm_blog.comment_captcha is 'コメント投稿：画像認証';
CREATE TABLE BT_ENTRY_TMP(ENTRY_ID BIGINT NOT NULL, ENTRY_USER_ID INTEGER NOT NULL, BLOG_SYS_ID INTEGER NOT NULL, DIRECTORY_ID INTEGER, ENTRY_TITLE VARCHAR(511), ENTRY_TEXT TEXT, ENTRY_TEXT_MORE TEXT, ENTRY_SUMMARY VARCHAR(511), TRACKBACK_URL TEXT, PUBLIC_FLG CHAR(1) DEFAULT '0', PUBLIC_DATE TIMESTAMP, CATEGORY_ID TEXT, CATEGORY_NAME TEXT, REGIST_DATE TIMESTAMP, UPDATE_DATE TIMESTAMP);
alter table bt_entry_tmp add primary key (entry_id,entry_user_id,blog_sys_id);
alter table bt_entry_tmp add constraint bt_entry_tmp_fkey_0 foreign key (blog_sys_id) references bm_blog(blog_sys_id);
alter table bt_entry_tmp add constraint bt_entry_tmp_fkey_1 foreign key (directory_id) references bm_directory(directory_id);
alter table bt_entry_tmp add constraint bt_entry_tmp_fkey_2 foreign key (entry_user_id) references ptm_user(id);
comment on table bt_entry_tmp is '投稿一時保存';
comment on column bt_entry_tmp.entry_id is '投稿id';
comment on column bt_entry_tmp.entry_user_id is '投稿ユーザシステムid';
comment on column bt_entry_tmp.blog_sys_id is 'ブログシステムid';
comment on column bt_entry_tmp.directory_id is 'ディレクトリid';
comment on column bt_entry_tmp.entry_title is '投稿タイトル';
comment on column bt_entry_tmp.entry_text is '投稿本文';
comment on column bt_entry_tmp.entry_text_more is '投稿追記';
comment on column bt_entry_tmp.entry_summary is '投稿概要';
comment on column bt_entry_tmp.trackback_url is '未送信トラックバックurl';
comment on column bt_entry_tmp.public_flg is '公開状態';
comment on column bt_entry_tmp.public_date is '公開日時';
comment on column bt_entry_tmp.category_id is 'カテゴリid';
comment on column bt_entry_tmp.category_name is '新規カテゴリ名';
comment on column bt_entry_tmp.regist_date is '登録日時';
comment on column bt_entry_tmp.update_date is '更新日時';
CREATE TABLE BT_LOGIN_INFO(AUTHENTICATION_KEY VARCHAR(32), USER_ID INTEGER, REGIST_DATE TIMESTAMP);
comment on table bt_login_info is 'ログイン入力省略情報';
comment on column bt_login_info.authentication_key is '認証キー';
comment on column bt_login_info.user_id is 'ユーザシステムid';
comment on column bt_login_info.regist_date is '登録日時';
CREATE TABLE BT_LIBURA_LOGIN_INFO(AUTHENTICATION_KEY VARCHAR(32), USER_ID INTEGER, LOGIN_ID VARCHAR(1024), WORD VARCHAR(1024), REGIST_DATE TIMESTAMP);alter table bt_libura_login_info add primary key (authentication_key);
comment on table bt_libura_login_info is 'liburaログイン入力省略情報';
comment on column bt_libura_login_info.authentication_key is '認証キー';
comment on column bt_libura_login_info.user_id is 'ユーザシステムid';
comment on column bt_libura_login_info.login_id is 'liburaid（メールアドレス)';
comment on column bt_libura_login_info.word is 'パスワード';
comment on column bt_libura_login_info.regist_date is '登録日時';
update bm_setting set db_version = 5;