/**
 * 全選択オブジェクトがONかOFFかを判定する関数
 * 
 * @param  object  objSelecter [IN]:全選択オブジェクト
 * @param  object  objform     [IN]:フォームオブジェクト
 * @return bool    ONならtrue
 */
function isAllSelecterOn(objSelecter, objform)
{
    return objSelecter.checked;
}

/**
 * 名前が接頭辞で始まるチェックボックスの全チェックをON/OFFする関数
 * 
 * @param  object  objSelecter [IN]:全選択オブジェクト
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 */
function selectAll(objSelecter, objform, txt_prefix)
{
    var selecter_checked = false;

    // 全選択がONならチェックもON
    if (isAllSelecterOn(objSelecter, objform))
    {
        selecter_checked = true;
    }

    //[ フォームの各項目について繰り返し ]
    for (var i_cnt=0; i_cnt < objform.elements.length; i_cnt++)
    {
        // ある接頭辞をもつcheckboxのみ設定する。
        if (objform.elements[i_cnt].type =='checkbox' && 
            objform.elements[i_cnt].name.indexOf(txt_prefix) == 0)
        {
            objform.elements[i_cnt].checked = selecter_checked;
        }
    }
}
