#!/bin/sh

PHPDIR="/usr/local/php/bin"

PATH=$PHPDIR:${PATH}:
export PATH

PHP_PATH=`which php`
export PHP_PATH
CONVERT_DIR='dnblog/core/batch/actions/Convert'
export CONVERT_DIR

# check path
if [ -z ${PHP_PATH} ]; then
    echo "php path is not found."
    exit
fi

# check working directory
if [ -d dnblog/js/ ]; then
    cd .
else
    echo "dnblog/js is not found."
    exit
fi

#delete file or directory
if [ -d dnblog/js/dojo ]; then
    rm -fr dnblog/js/dojo
fi

if [ -f dnblog/js/set_dojo.js ]; then
    rm -f dnblog/js/set_dojo.js
fi

# check working directory
if [ -d dnblog/t_p_s_license/ ]; then
    cd .
else
    echo "dnblog/t_p_s_license is not found."
    exit
fi

#delete file or directory
if [ -f dnblog/t_p_s_license/dojo_LICENSE.txt ]; then
    rm -f dnblog/t_p_s_license/dojo_LICENSE.txt
fi

# check working directory
if [ -d dnblog/core/batch/ ]; then
    cd .
else
    echo "dnblog/core/batch is not found."
    exit
fi

#delete file or directory
if [ -f dnblog/core/batch/actions/Convert/AccessConvert.php ]; then
    rm -f dnblog/core/batch/actions/Convert/AccessConvert.php
fi

if [ -f dnblog/core/batch/actions/Convert/EntryConvert.php ]; then
    rm -f dnblog/core/batch/actions/Convert/EntryConvert.php
fi

if [ -f dnblog/core/batch/actions/Convert/FileConvert.php ]; then
    rm -f dnblog/core/batch/actions/Convert/FileConvert.php
fi

if [ -f dnblog/core/batch/actions/Convert/PassConvert.php ]; then
    rm -f dnblog/core/batch/actions/Convert/PassConvert.php
fi

if [ -f dnblog/core/batch/actions/Convert/RankingConvert.php ]; then
    rm -f dnblog/core/batch/actions/Convert/RankingConvert.php
fi

if [ -f dnblog/core/batch/actions/Convert/TableInsert.php ]; then
    rm -f dnblog/core/batch/actions/Convert/TableInsert.php
fi

if [ -f dnblog/core/batch/actions/Convert/TemplateSize.php ]; then
    rm -f dnblog/core/batch/actions/Convert/TemplateSize.php
fi

if [ -f dnblog/core/batch/actions/Convert/TotalBlogSizeConvert.php ]; then
    rm -f dnblog/core/batch/actions/Convert/TotalBlogSizeConvert.php
fi

# check working directory
if [ -d dnblog/core/webapp/ ]; then
    cd .
else
    echo "dnblog/core/webapp is not found."
    exit
fi

#delete file or directory
if [ -f dnblog/core/webapp/modules/Admin/actions/TemplateSampleAddDoAction.class.php ]; then
    rm -f dnblog/core/webapp/modules/Admin/actions/TemplateSampleAddDoAction.class.php
fi

if [ -f dnblog/core/webapp/modules/Default/templates/PortalUrl.html ]; then
    rm -f dnblog/core/webapp/modules/Default/templates/PortalUrl.html
fi

if [ -f dnblog/core/webapp/modules/User/actions/EntryAddFileAction.class.php ]; then
    rm -f dnblog/core/webapp/modules/User/actions/EntryAddFileAction.class.php
fi

if [ -f dnblog/core/webapp/modules/User/actions/EntrySelFileAction.class.php ]; then
    rm -f dnblog/core/webapp/modules/User/actions/EntrySelFileAction.class.php
fi

if [ -f dnblog/core/webapp/modules/User/actions/FootmarkListAction.class.php ]; then
    rm -f dnblog/core/webapp/modules/User/actions/FootmarkListAction.class.php
fi

if [ -f dnblog/core/webapp/modules/User/templates/EntryAddRTE.html ]; then
    rm -f dnblog/core/webapp/modules/User/templates/EntryAddRTE.html
fi

if [ -f dnblog/core/webapp/modules/User/templates/EntryEditor.html ]; then
    rm -f dnblog/core/webapp/modules/User/templates/EntryEditor.html
fi

if [ -f dnblog/core/webapp/modules/User/templates/EntryMod.html ]; then
    rm -f dnblog/core/webapp/modules/User/templates/EntryMod.html
fi

if [ -f dnblog/core/webapp/modules/User/templates/EntryModRTE.html ]; then
    rm -f dnblog/core/webapp/modules/User/templates/EntryModRTE.html
fi

if [ -f dnblog/core/webapp/modules/User/templates/EntrySelFile.html ]; then
    rm -f dnblog/core/webapp/modules/User/templates/EntrySelFile.html
fi

if [ -f dnblog/core/webapp/modules/User/templates/FootmarkList.html ]; then
    rm -f dnblog/core/webapp/modules/User/templates/FootmarkList.html
fi

if [ -f dnblog/core/webapp/modules/User/views/EntrySelFileView_success.class.php ]; then
    rm -f dnblog/core/webapp/modules/User/views/EntrySelFileView_success.class.php
fi

if [ -f dnblog/core/webapp/modules/User/views/FootmarkListView_success.class.php ]; then
    rm -f dnblog/core/webapp/modules/User/views/FootmarkListView_success.class.php
fi

if [ -d dnblog/core/webapp/tmp/templates_c ]; then
    rm -fr dnblog/core/webapp/tmp/templates_c/*
fi

# upgrade
# check directory
if [ -d ${CONVERT_DIR} ]; then
    cd ${CONVERT_DIR}
else
    echo "${CONVERT_DIR} is not found."
    exit
fi

$PHP_PATH ./Update.php
if [ $? -ne 0 ]; then
    if [ -s ../../logs/Convert.log ]; then
        echo "Database table convert process error."
        cat ../../logs/Convert.log
    else
        echo "Database table convert execution error."
    fi

    exit
fi
